Subject: Red Scarlet

From: [email-masked]
Date: 20 Jul 1995 22:33:00 -0500

Does anyone have any information on a a dermatological remedy, used in the
early 1900's, called "Red Scarlet" or (?) "Scarlet Red".  I found it 
referenced in a 1930's dermatology handbook.  It supposedly promotes the 
growth of epidermal cells.  All help in locating more information is 
greatly appreciated.